security_ecc.hh File Reference

Header file for Elliptic Curve Cryptography. More...

`#include <vector>`
`#include <openssl/err.h>`
`#include <openssl/ec.h>`
`#include <openssl/pem.h>`
`#include <openssl/bn.h>`

Go to the source code of this file.

## Classes

class | security_ecc
| This class implements the generation of a key pair private/public. More...

## Enumerations

enum | ec_elliptic_curves : unsigned char { ec_elliptic_curves::nist_p_256, ec_elliptic_curves::brainpool_p_256_r1, ec_elliptic_curves::brainpool_p_384_r1 }
enum | encryption_algotithm : unsigned char { encryption_algotithm::aes_128_ccm, encryption_algotithm::aes_256_ccm, encryption_algotithm::aes_128_gcm, encryption_algotithm::aes_256_gcm }

## Detailed Description

Header file for Elliptic Curve Cryptography.

Author
  ETSI STF525

Copyright
  ETSI Copyright Notification No part may be reproduced except as authorized by written permission. The copyright and the foregoing restriction extend to reproduction in all media. All rights reserved.

Version
  0.1

## Enumeration Type Documentation

## ec_elliptic_curves

enum ec_elliptic_curves : unsigned char

strong

Enumerator
nist_p_256 | NIST P-256, P-256, primve256v1
brainpool_p_256_r1 | Brainpool P256r1
brainpool_p_384_r1 | Brainpool P384r1

## encryption_algotithm

enum encryption_algotithm : unsigned char

strong

Enumerator
aes_128_ccm |
aes_256_ccm |
aes_128_gcm |
aes_256_gcm |